<ion-header>
  <ion-navbar color = "dark">
    <ion-title>
        <img src="assets/imgs/HAPPY_CODE_LOGO.png" width="150" height="50px">
    </ion-title>
  </ion-navbar>

</ion-header>

<ion-content padding id= "main">
  <div id="logo">
      <ion-icon ios="ios-game-controller-b" md="md-game-controller-b"></ion-icon>
      <sup><ion-icon name="code"></ion-icon></sup>
      Happy Code School<sup>+ - * /</sup>
      <ion-icon name="git-branch"></ion-icon>
  </div>
  <div id="landing" *ngIf = "counter == 0 && done === false">
    <h3>Você está preparado para o século XXI?</h3>
    <button ion-button (click) = "onStart()" id = "start">START QUIZ</button>
  </div>
  <div id = "minidash" *ngIf = "counter > 0 && done === false">
    <span>Question {{counter + "/15"}}</span>
    <span>{{timerValue}} Seconds</span>
  </div>
  
  
  <!-- science -->
  <div class="quiz" *ngIf = "counter == 1">
    <h1>
        <ion-icon name="paper"></ion-icon>
      C:\\WINDOWS\\system32\\cmd.exe
    </h1>
    <p>> cmd.exe é um software de gerenciamento de dados do Sistema Operacional Windows. </p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE </button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 2">
    <h1>Gravitational waves?</h1>
    <p> is a mathematical model that joins space and time into a single idea called a continuum</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 3">
    <h1>Space-time?</h1>
    <p> are the disturbance in the fabric ("curvature") of spacetime generated by accelerated masses and propagate as waves outward from their source at the speed of light</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 4">
    <h1>Supernova?</h1>
    <p> is a transient astronomical event that occurs during the last stellar evolutionary stages of a star's life, either a massive star or a white dwarf, whose destruction is marked by one final, titanic explosion</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 5">
    <h1>Atom?</h1>
    <p> is the smallest constituent unit of ordinary matter that has the properties of a chemical element</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <!-- history -->

  <div class="quiz" *ngIf = "counter == 6">
    <h1>Nelson Rolihlahla Mandela?</h1>
    <p> was a South African anti-apartheid revolutionary, political leader, and philanthropist</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 7">
    <h1>Titanic?</h1>
    <p>is a name of a passenger plane that crashed into the Amazon in April 1912</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 8">
    <h1>Steve Biko?</h1>
    <p>Was a member of a renowed band called Ladies Smith Black Mabozo</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 9">
    <h1>Nikola Tesla?</h1>
    <p>invented the first iphone charger</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 10">
    <h1>Tyrannosaurus/T Rex?</h1>
    <p>was a small species of pigs found in the north pole, now extinct</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <!-- programming -->

  <div class="quiz" *ngIf = "counter == 11">
    <h1>Selection Statements?</h1>
    <p>if the value of x = 15, this if statement will return true <br>if(x >= "15")?</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 12">
    <h1>Logical Operators?</h1>
    <p>The arithmetic comparison operators in programming work much like the symbols we use in mathematics.  Each of these operators returns a true or a false.</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 13">
    <h1>Conditional Operator?</h1>
    <p>There is a special operator known as the conditional operator that can be used to create short expressions that work like if/else statements.</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <div class="quiz" *ngIf = "counter == 14">
    <h1>Data types?</h1>
    <p>you can declare a variable as a string and also perform mathematical operations on it</p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "proceed()" block>NEXT</button>
  </div>

  <!--final-->

  <div class="quiz" *ngIf = "counter == 15">
    <h1>Architectural Patterns?</h1>
    <p>In MVC(Model View Controllers) the Controller act as an interface between Model and View components to process all the business logic and incoming requests </p>
    <div class="btn-row">
      <button ion-button color = "positive" (click) = "scoreTracker('true')">TRUE</button>
      <button ion-button color = "nagative" (click) = "scoreTracker('false')">FALSE</button>
    </div>
    <button ion-button id = "proceed" (click) = "viewResults()" block>VIEW RESULTS</button>
  </div>


  <div id="score" *ngIf = "counter > 0 && done === true">
    <div id="time">{{timerValue}}s</div>
    <div id="results"><b>Your Score</b><br>{{score}}/15 <br>
      <div class="stars">
        <ion-icon class = "star" name="star" *ngIf = "score > 5"></ion-icon>
        <ion-icon class = "star" name="star" *ngIf = "score > 9"></ion-icon>
        <ion-icon class = "star" name="star" *ngIf = "score > 12"></ion-icon>
      </div>
    </div>
    <button ion-button (click) = "reset()">Restart</button>
    <div class="results-table">
      <div class="row">
        <div *ngFor="let x of scores">
          <span id = "wrong" *ngIf = "x == 0">{{x}}</span>
          <span id = "right" *ngIf = "x == 1">{{x}}</span>
        </div>
      </div>
    </div>
  </div>
   

  

</ion-content>
